# Return MySQL user routines

This function returns a database user's MySQL® routines.

Important:

  When you disable the MySQL/MariaDB role and
  remote MySQL is not configured, the system disables this function.

Endpoint: GET /Mysql/list_routines
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `database_user` (string)
    The database user for whom to return MySQL routines. If you don't specify a database user, this function returns the MySQL routines for all database users.
    Example: "db_user"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_routines"

  - `module` (string)
    The name of the module called.
    Example: "Mysql"

  - `result` (object)

  - `result.data` (array)
    An array of MySQL routines. If no routines exist, the function returns an empty array.
    Example: ["cptest_newdb.hello","cptest_newdb.my_routine"]

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


